<?php


namespace Hector68\PrestaLiveInform\helper;


class Helper
{

    
    public static function getDataByOrder($order, $filed)
    {
        $result = '';

        $address = new \Address($order->id_address_delivery);

        switch ($filed){
            case  'delivery_phone':
                $result = empty($address->phone_mobile) ? $address->phone : $address->phone_mobile;
                $result = preg_replace('/[^0-9+]+/ui', '', $result);
                break;
            case 'delivery_email':
                $customer = new \Customer($order->id_customer);
                $result = $customer->email;
                break;
            case 'delivery_name':
                $result = $address->firstname;
                break;
            case 'delivery_last_name':
                $result = $address->lastname;
                break;
            case 'payment_method':
                $result = $order->payment;
                break;
            case 'delivery_method':
                $carrier = new \Carrier($order->id_carrier);
                $result = $carrier->name;
                break;
            case 'address_city':
                $result = $address->city;
                break;
            case 'address_index':
                $result = $address->postcode;
                break;
            case 'address_street1':
                $result = $address->address1;
                break;
            case 'address_street2':
                $result = $address->address2;
                break;
            case 'address_company':
                $result = $address->company;
                break;
            default:
                if(isset($order->{$filed}))
                {
                    $result = $order->{$filed};
                } else {
                    $result = '';
                }
               ;
                break;
        }


     return $result;


    }
    
    
}